#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct M_ActivityLuckyMapCFGData
{
	//编号
	int mID;
	//鱼名
	std::string mFishName;
	//显示顺序
	int mOrder;
	//鱼倍率
	std::string mFishMultiple;
	//鱼资源
	std::string mFishResource;
};

class M_ActivityLuckyMapCFG
{
public:
private:
	static std::auto_ptr<M_ActivityLuckyMapCFG> msSingleton;
public:
	int GetCount();
	const M_ActivityLuckyMapCFGData* GetData(int ID);
	boost::unordered_map<int, M_ActivityLuckyMapCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static M_ActivityLuckyMapCFG* GetSingleton();
private:
	boost::unordered_map<int, M_ActivityLuckyMapCFGData> mMapData;
};
